#!/bin/sh

#$ -S /bin/sh -cwd
#$ -j yes
#$ -c n

s=$1
m=$2

# This file is designed to be run with the SGE grid engine
# See allcommands.sh for the SGE job submission script

# Specify these locations
LIBRARY_DIR=/where/all/necessary/libs/are/installed
CLASSIFIER=/path/to/the/executable/named/classifier
RESULTS_DIR=/where/the/results/should/go
DATA_DIR=/this/directory/with/the/data

export LD_LIBRARY_PATH=${LIBRARY_DIR}:${LD_LIBRARY_PATH}
mkdir -p ${RESULTS_DIR}/subject$s/method$m/seed${SGE_TASK_ID}
cd ${RESULTS_DIR}/subject$s/method$m/seed${SGE_TASK_ID}
${CLASSIFIER} ${DATA_DIR}/trn${s}combi.txt ${DATA_DIR}/subject${s}trn_classes.txt ${DATA_DIR}/tst${s}combi.txt ${DATA_DIR}/subject${s}tst_classes.txt a b -f2,4 -x10 -c-1,1:$m,2:$m -r${SGE_TASK_ID} > ${RESULTS_DIR}/subject$s/method$m/seed${SGE_TASK_ID}/log_${s}_${m}_${SGE_TASK_ID}.txt

exit 0

